| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgeom/spline.h File Reference

Splines. More...

`#include "csextern.h"`

Go to the source code of this file.

## Classes
class | csBSpline
| A B-spline. More...
class | csCatmullRomSpline
| A CatmullRom spline. More...
class | csCubicSpline
| A cubic spline. More...
class | csSpline
| A spline superclass. More...

## Detailed Description

Splines.

Definition in file spline.h.